<!-- 
        Author:  RAYMONDAUD Quentin

        Description : User Detail Componenent

        When no session found on server it shows the login form
        When logged it shows simplfied PostGre Data
-->
<div *ngIf="userData" class="cust-card" style="text-align: center">   

    <div *ngIf="mode == 0 ">
        <div *ngIf="userData.editable">
            <button (click)="editMode($event)" class="btn  btn-block btn-lng btn-dark mb-2"> ✏️ <b>{{ userData.userData.prenom +" "+ userData.userData.nom }}</b> </button>
        </div>
        <div *ngIf="!userData.editable">
            <h3 *ngIf="!userData.userData.statut_connexion"> 🔴 {{ userData.userData.prenom +" "+ userData.userData.nom }}</h3>
            <h3 *ngIf="userData.userData.statut_connexion"> 🟢 {{ userData.userData.prenom +" "+ userData.userData.nom }}</h3>
        </div>
        <img *ngIf=" ! userData.userData.avatar " 
            class="rounded center" 
            [src]="'https://i.pinimg.com/originals/51/f6/fb/51f6fb256629fc755b8870c801092942.png'" 
            style="max-width: 300px; max-height: 300px"
            alt="Default Icon">
        <img *ngIf=" userData.userData.avatar "
            class="rounded center" 
            [src]="userData.userData.avatar" 
            class="rounded center"
            style="max-width: 300px; max-height: 300px ;"
            alt="Personnal Icon">
        <br>
        
        <br>
        <b> Bio : </b>
        {{ userData.userData.humeur }}
        <br> 
        <b> Birthday : </b>
        {{ userData.userData.date_naissance | date : full  }}

    </div>

    <div *ngIf="userData.editable && mode == 1 ">
        <h3> {{ userData.userData.prenom +" "+ userData.userData.nom }}</h3>
        <img *ngIf=" ! userData.userData.avatar " 
                [src]="'https://i.pinimg.com/originals/51/f6/fb/51f6fb256629fc755b8870c801092942.png'" 
                class="rounded center" 
                style="max-width: 300px; max-height: 300px"
                alt="Default Icon">
        <img *ngIf=" userData.userData.avatar " 
            [src]="userData.userData.avatar"  
            class="rounded center" 
            style="max-width: 300px; max-height: 300px"
            alt="Personnal Icon">
        <br>
        <form  [formGroup]="profileForm" (ngSubmit)="submit()">
            <b style="color:red"> New Image URL</b>
            <input type="text" 
            class="form-control mb-2 mr-sm-2" 
            formControlName="url"
            [(ngModel)]="userData.userData.avatar"
            placeholder="URL" 
            alt="Image URL input">
            <br>
            <b style="color:red"> New Bio</b>
            <input type="text" 
                class="form-control mb-2 mr-sm-2" 
                formControlName="bio"
                [(ngModel)]="userData.userData.humeur"
                placeholder="Biography" 
                alt="Bio input">
            <button (click)="viewMode($event)" class="btn  btn-block btn-dark mb-2"> 🗑️ Cancel</button>
            <button type=submit class="btn  btn-block btn-light mb-2"> 💾 Validate </button>
        </form>
        <br> 
        <b> Birthday : </b>
        {{ userData.userData.date_naissance | date : full  }} 
    </div>
</div>
